漏洞信息详情

musl libc 缓冲区错误漏洞

漏洞简介

musl libc是一款开源的C语言标准库。主要用于嵌入式系统与移动设备等。

musl libc 1.1.23及之前版本中存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:

https://www.musl-libc.org/

参考网址

来源:www.openwall.com

链接:https://www.openwall.com/lists/musl/2019/08/06/1

来源:www.openwall.com

链接:http://www.openwall.com/lists/oss-security/2019/08/06/4

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-14697

受影响实体

    暂无